	REMARK	********************************************\
		*  P/R080.BAS      JOB POSTING FILE UPDATE *\
		*   5/10/79                  9:15  AM      *\
		********************************************

%INCLUDE CURSOR
  
	DIM T2(8)
	GOTO 6000
%INCLUDE FIND-EOF
6000	OPEN "P/R0F040.DAT" RECL 42 AS 1 BUFF 20 RECS 128		REMARK  OPEN P/R TRANSACTION FILE
	OPEN "JOB0F110.DAT" RECL 42 AS 2				REMARK OPEN JOB POSTING FILE
6020	PRINT CLEAR.SCREEN$;"P/R JOB POSTINGS"
	PRINT
	PRINT "KEY RETURN TO BEGIN; CTRL-C TO EXIT"
6025	IF CONSTAT%=0 THEN GOTO 6025
	A%=CONCHAR%
	IF A%=03H THEN GOTO 8000
	IF A%<>0DH THEN GOTO 6025
 	PRINT "WORKING...DO NOT INTERRUPT"
	I%=2
	GOSUB 1150							REMARK  FIND NUMBER OF RECORDS IN JOB POSTING FILE
	POST.RECS%=RECS%
	IF END #1 THEN 7000						REMARK  SET EOF DESTINATION FLAG
6050	READ #1; T2(1),T2(2),T2(3),T2(4),T2(5),T2(6),T2(7),T2(8)	REMARK  READ NEXT TRANSACTION RECORD
	IF T2(6)=0 THEN GOTO 6050
	POST.RECS%=POST.RECS%+1						REMARK  INCREMENT JOB POSTING TOTAL AND FILE POINTER
	PRINT #2,POST.RECS%; T2(1),T2(2),T2(3),T2(4),T2(5),T2(6),T2(7),T2(8)
	GOTO 6050							REMARK  LOOP BACK UNTIL TRANSACTION FILE IS EXHAUSTED


7000	CLOSE 1,2							REMARK  CLOSE JOB POSTING AND TRANSACTION FILES
	CREATE "P/R0F040.DAT" AS 1					REMARK  RE-CREATE TRANSACTION FILE
8000	PRINT CLEAR.SCREEN$;"P/R JOB POSTING LOADING MENU"		REMARK  DISPLAY EXIT MESSAGE
	CHAIN "P/R000"							REMARK  LOAD MENU
